# ImportRTStructure Class Reference

import a RT Structure and create a corrsponding CSO group More...

`#include <STUImportRTStructure.h>`

List of all members.

## Public Types
enum | outputType { panel, console }
## Public Member Functions
| ImportRTStructure ()
| Constructor.
| ~ImportRTStructure ()
| Destructor.
StringField & | getInDCMFileFld () const
| Get the "inDCMFile" field.
StringField & | getAllTagsFld () const
| Get the "allTags" field.
NotifyField & | getApplyFld () const
| Get the value of "Apply" field.
virtual void | handleNotification (Field *field)
| Handle field changes of the field field.
virtual void | activateAttachments ()
| Update internal module state after load or clone and enable notification handling again.
void | removeContourData ()
| remove the countour data information from the Dcm Tree

## Detailed Description

import a RT Structure and create a corrsponding CSO group

Definition at line 75 of file STUImportRTStructure.h.

## Constructor & Destructor Documentation

ImportRTStructure::ImportRTStructure | ( |  | ) |

Constructor.

Get reference to the container for parameters/fields.

initiate fields

initiate the memeber variables

Definition at line 59 of file STUImportRTStructure.cpp.

ImportRTStructure::~ImportRTStructure | ( |  | ) |

Destructor.

This function parse the DCM tree and construct the contour data into CSOGroups.

Definition at line 461 of file STUImportRTStructure.cpp.

## Member Function Documentation

void ImportRTStructure::removeContourData | ( |  | ) |

remove the countour data information from the Dcm Tree

This function removes the conntourData information from the copied Dicom tree.

Definition at line 335 of file STUImportRTStructure.cpp.

The documentation for this class was generated from the following files:

- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/General/Sources/ML/STUImportRTStructure/STUImportRTStructure.h
- C:/AngioLocalizeNoAuto/MevisLabNoAutoReg/STUMevisApp/General/Sources/ML/STUImportRTStructure/STUImportRTStructure.cpp

All Classes Namespaces Files Functions Variables Enumerator Friends